com.trendmicro.ds.antimalware.rest.object

## Class WebReputationEvent

- java.lang.Object
- - com.trendmicro.ds.platform.rest.object.EventObject
  - - com.trendmicro.ds.antimalware.rest.object.WebReputationEvent

-     public class WebReputationEvent
      extends EventObject

  Web Reputation Event object to return in Restful API

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class com.trendmicro.ds.platform.rest.object.EventObject

      `EventObject.EnumEventOrigin`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `WebReputationEvent()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.Integer` | `getDetectionCategory()` CCCA detection source categories
    `java.lang.Integer` | `getHostID()` The id of the host the event was recorded on
    `java.lang.String` | `getHostName()` The host name of the event was recorded on
    `java.lang.Integer` | `getRank()` Rank
    `java.lang.Integer` | `getRiskLevel()` The raw score of the url from 0-100, null if the url was blocked because it was blacklisted.
    `java.lang.String` | `getTargetIP()` CCCA detected target IP
    `java.lang.String` | `getUrl()` The url that caused the event
    `java.lang.Long` | `getWebReputationEventID()` The primary key of the event entry.
    `void` | `setDetectionCategory(java.lang.Integer detectionCategory)`
    `void` | `setHostID(java.lang.Integer hostID)`
    `void` | `setHostName(java.lang.String hostName)`
    `void` | `setRank(java.lang.Integer rank)`
    `void` | `setRiskLevel(java.lang.Integer riskLevel)`
    `void` | `setTargetIP(java.lang.String targetIP)`
    `void` | `setUrl(java.lang.String url)`
    `void` | `setWebReputationEventID(java.lang.Long webReputationEventID)`

    - ### Methods inherited from class com.trendmicro.ds.platform.rest.object.EventObject

      `getLogTime, getOrigin, getTags, setLogTime, setOrigin, setTags`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### WebReputationEvent

          public WebReputationEvent()

  - ### Method Detail

    - #### getHostID

          public java.lang.Integer getHostID()

      The id of the host the event was recorded on

    - #### setHostID

          public void setHostID(java.lang.Integer hostID)

    - #### getHostName

          public java.lang.String getHostName()

      The host name of the event was recorded on

    - #### setHostName

          public void setHostName(java.lang.String hostName)

    - #### getRank

          public java.lang.Integer getRank()

      Rank

    - #### setRank

          public void setRank(java.lang.Integer rank)

    - #### getRiskLevel

          public java.lang.Integer getRiskLevel()

      The raw score of the url from 0-100, null if the url was blocked because it was blacklisted. Not currently used for anything besides forwarding to syslog.

    - #### setRiskLevel

          public void setRiskLevel(java.lang.Integer riskLevel)

    - #### getUrl

          public java.lang.String getUrl()

      The url that caused the event

    - #### setUrl

          public void setUrl(java.lang.String url)

    - #### getWebReputationEventID

          public java.lang.Long getWebReputationEventID()

      The primary key of the event entry.

    - #### setWebReputationEventID

          public void setWebReputationEventID(java.lang.Long webReputationEventID)

    - #### getDetectionCategory

          public java.lang.Integer getDetectionCategory()

      CCCA detection source categories

    - #### setDetectionCategory

          public void setDetectionCategory(java.lang.Integer detectionCategory)

    - #### getTargetIP

          public java.lang.String getTargetIP()

      CCCA detected target IP

    - #### setTargetIP

          public void setTargetIP(java.lang.String targetIP)

Copyright © 2017 Trend Micro Inc. All Rights Reserved.